"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTraits = exports.storeTraits = void 0;
var sdkState_1 = require("./sdkState");
var storeTraits = function (traits) {
    if (sdkState_1.instance) {
        sdkState_1.instance.traits = __assign(__assign({}, sdkState_1.instance.traits), traits);
    }
};
exports.storeTraits = storeTraits;
var getTraits = function () {
    if (sdkState_1.instance) {
        return sdkState_1.instance.traits;
    }
    return {};
};
exports.getTraits = getTraits;
