//
//  FingerprintModule.swift
//  eventsdk
//
//  Created by Agastik on 04/02/25.
//

import Foundation
import FingerprintPro
import React

@objc(FingerprintModule)
class FingerprintModule: NSObject {

    @objc static func requiresMainQueueSetup() -> Bool {
        return true
    }

    @objc func getFingerprintId(_ resolve: @escaping RCTPromiseResolveBlock, reject: @escaping RCTPromiseRejectBlock) {
        let configuration = Configuration(
            apiKey: "HM4Rw7HeykLHshlhQjT6",
            region: .ap
        )
        let client = FingerprintProFactory.getInstance(configuration)

        Task {
            do {
                let visitorId = try await client.getVisitorId()
                resolve(visitorId)
            } catch {
                reject("ERROR", "Failed to get fingerprint ID", error)
            }
        }
    }
}
