import {initializeSDK} from './core/sdkState';
import {getAnalyticsContext} from './core/getAnalyticsContext';
import {identify} from './core/identify';
import {trackEvent} from './core/trackEvent';
import {group} from './core/group';
import {flush} from './core/flush';
import {reset} from './core/reset';
import {optOut} from './core/optOut';
import {screen} from './core/screen';
import {setNavigationRef} from './core/sdkState';
import {listenForDeepLinks} from './core/listenDeepLink';

export default {
  setNavigationRef,
  initializeSDK,
  getAnalyticsContext,
  identify,
  screen,
  trackEvent,
  group,
  flush,
  reset,
  optOut,
  listenForDeepLinks,
};
