"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sdkState_1 = require("./core/sdkState");
var getAnalyticsContext_1 = require("./core/getAnalyticsContext");
var identify_1 = require("./core/identify");
var trackEvent_1 = require("./core/trackEvent");
var group_1 = require("./core/group");
var flush_1 = require("./core/flush");
var reset_1 = require("./core/reset");
var optOut_1 = require("./core/optOut");
var screen_1 = require("./core/screen");
var sdkState_2 = require("./core/sdkState");
var listenDeepLink_1 = require("./core/listenDeepLink");
exports.default = {
    setNavigationRef: sdkState_2.setNavigationRef,
    initializeSDK: sdkState_1.initializeSDK,
    getAnalyticsContext: getAnalyticsContext_1.getAnalyticsContext,
    identify: identify_1.identify,
    screen: screen_1.screen,
    trackEvent: trackEvent_1.trackEvent,
    group: group_1.group,
    flush: flush_1.flush,
    reset: reset_1.reset,
    optOut: optOut_1.optOut,
    listenForDeepLinks: listenDeepLink_1.listenForDeepLinks,
};
