import {Traits} from '../utils/constants';
import {instance} from './sdkState';

export const storeTraits = (traits: Traits) => {
  if (instance) {
    instance.traits = {...instance.traits, ...traits};
  }
};

export const getTraits = (): Traits => {
  if (instance) {
    return instance.traits;
  }
  return {};
};
