import {NativeModules} from 'react-native';
const {FingerprintModule} = NativeModules;

export const getFingerprintId = async (): Promise<string | null> => {
  try {
    return await FingerprintModule.getFingerprintId();
  } catch (error) {
    console.error('Error getting Fingerprint ID:', error);
    return null;
  }
};
