import axios from 'axios';
import {API_URL} from './constants';
import {instance} from '../core/sdkState';

export const sendEventToBackend = async (events: any[]) => {
  try {
    console.log('Events Payload ----> ', events);
    const apiUrl = instance.apiHost;
    console.log('Api url', apiUrl)
    const response = await axios.post(apiUrl, events, {
      headers: {
        'Content-Type': 'application/json',
      },
    });

    // if (!response.ok) {
    //   throw new Error(`HTTP error! status: ${response.status}`);
    // }

    console.log('response API STATUS --->', response.status);
  } catch (error) {
    console.error('Error sending event to backend:', error);
    throw error;
  }
};
